#ifndef __MGR_H
#define __MGR_H

extern void enable_mouse (void);
extern void disable_mouse (void);
extern int test_mouse (void);
extern void read_loc (int *hor, int *vert, int *status);
extern void set_loc (int hor, int dol);
extern void button_press_status (int *status, int *num_of_press, int *hor, int *ver);
extern void button_rel_status (int *status, int *num_of_rel, int *hor, int *ver);
extern void set_horiz_rate (int min, int max);
extern void set_vert_rate (int min, int max);
extern int get_storage_size (void);
extern void save_mouse_state (void *p);
extern void restore_mouse_state (void *p);
extern void def_gr_cursor (void *masks, int hor_spot, int ver_spot);
extern void def_txt_cursor (int type, int msk_of_screen, int msk_of_cursor);
extern void set_to_handler (void  (huge * user_routine)(), int mask);
void mouse_show();
void mouse_hide();

extern huge void  myhandler (void);

enum mouse_action {
Wait_mode,
Moved,
Left_button_pressed,
Left_button_released,
Right_button_pressed,
Right_button_released
};

extern volatile int druh_akce;
extern volatile int hor,ver;
extern volatile int lasthorpick, lastverpick;

#endif
