#include "scr.h"
#include "status.h"
#include "views.h"

view main_view;
view status_view;
view logo_view;
int char_height,char_width;
int status_length;
int status_height;
loc_type _xmin,_ymin,_xmax,_ymax;
extern gr_maxx,gr_maxy;
extern xasp,yasp;


void copyright ()
{
}

void rememberMaxCoords (loc_type x1, loc_type y1, loc_type x2, loc_type y2)
{
	_xmin = x1;
	_xmax = x2;
	_ymin = y1;
	_ymax = y2;
}

void initscreen()
{
	float retval;
	int logo_h;

	settextjustify(LEFT_TEXT, TOP_TEXT);
	settextstyle(DEFAULT_FONT, HORIZ_DIR, 1);
/*	setaspectratio(10,10);  */
	getaspectratio(&xasp,&yasp);
	cleardevice();
	char_height = textheight("A");
	char_width  = textwidth ("A");
	status_length = gr_maxx-LOGO_WIDTH;
	status_height = 3*LINESKIP+2*char_height;
	main_view=  createview (0,0,gr_maxx,gr_maxy-status_height-1,0,0,1,1);
	status_view=createview (0,gr_maxy-status_height,gr_maxx-LOGO_WIDTH,gr_maxy,0,0,1,1);
	logo_view=createview(gr_maxx-LOGO_WIDTH,gr_maxy-status_height,gr_maxx,gr_maxy,0,0,10,10);
	openview(main_view);
	openview(status_view);

	/* LOGO DEFINITION */

	openview(logo_view);
	setactiveview (logo_view);
	setbkcolor(LOGO_BGR);
	clearviewport();
	settextstyle(LOGO_FONT,HORIZ_DIR,1);
	setcolor(LOGO_INK);
	outtextxy (1,1,VERSION);
	logo_h = textheight(VERSION);
	outtextxy (1,3+logo_h,AUTHOR);
	settextstyle(DEFAULT_FONT,HORIZ_DIR,1);

	/* STATUS DEFINITION */

	setactiveview (status_view);
	setcolor(FRAME);
	frameview (0,0,status_view->xlogmax,status_view->ylogmax);
	setcolor(DRAW_AREA_INK);
	Clear_status_area();
	Menu_status1 ();

	setactiveview (main_view);

	/* MAIN SCENE DEFINITION */

	setbkcolor(DRAW_AREA_BGR);
	clearviewport();
	setcolor(FRAME);
	frameview (0,0,main_view->xlogmax,main_view->ylogmax);
	setcolor(DRAW_AREA_INK);
/*	circletoview(0.8,0.8,0.2); */

}



